
               \¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯/
                ) SUBRIP 1.56  the DVD Subtitles speed ripper (
               /_______________________________________________\

               !  PLEASE TAKE A LOOK AT Credits.txt OR SubRip  !
               ! About Window  TO CONTACT _CURRENT_ DEVELOPERS !

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

HISTORY:

[  + new feature  ] [  - correction  ] [  * nfo part  ]

--------------------------------------------------------------------------------
2015/10/13  SubRip 1.56.1  (c) Bloody

 * (Small bugfix release)

 - Fixed a bug that caused some matrix glyphs to be accidently marked as
   'temporary junk' after a FindMatrix operation (in GUI mode only).

--------------------------------------------------------------------------------
2015/09/07  SubRip 1.56.0  (c) Bloody

 + FindMatrix options: added an option to check the last 'good' matrix from a
   prior search first before searching through other matrix files. This helps
   speeding up batch processing if the current subtitle was created using the
   same font as the previous subtitle.

   Also added Option --first-matrix to the /FINDMATRIX CLI cmd which can be
   utilized by shell scripts for the same purpose (saving some processing time).

 - Post-OCR I/l correction: enhanced/added filters for cases where a Space is
   followed by "ll", handling many more possible combinations correctly.

 * Updated a few matrix files.

--------------------------------------------------------------------------------
2015/08/20  SubRip 1.55.2  (c) Bloody

 * (Small bugfix release)

 - OCR engine: added '/' (slash) and '¡' (Spanish inverted exclamation mark) to
   the set of glyphs requiring extra-strong (temporary) char-diff-sensibility,
   to reduce possible confusion between slash (/) and italics-'l', and between
   'i' and '¡' glyphs.

 - Post-OCR I/l correction: added another filter for lower-case chars followed
   by an 'I'.

 - Preview Options: removed .jpg file extension from the background image file
   requester (unsupported), avoiding further error messages down the road.

 - Matrix files: removed all 'weak' colon (:) glyphs (with only the upper dot in
   the glyph image) from matrix # 4, 8, 11, 24, 25, 28, 29, 34, 38, 41, 42, 47,
   50, 51, 60, 65, 66, 68, 73, 80, 88, 91 and 93, as they might be confused with
   the left (incomplete) part of a French 'ï' (an 'i' with diaeresis). Thanks to
   Sven Bent for finding such a case.

   Joined matrix #67 into #8.

   Added 5 new matrix files and updated a few others.

--------------------------------------------------------------------------------
2015/08/01  SubRip 1.55.1  (c) Bloody

 * (Small bugfix release)

 - Post-OCR I/l Correction: fixed a few cases where an 'I' follows a hyphen (-)
   and is followed by certain other chars (affecting Czech, English, German,
   Polish and Spanish subtitles).

 - Updated several matrix files, including:

     - matrix #041: fixed two mistaken glyphs (a lower-case 'i' mistaken for a
       Spanish inverted exclamation mark and another one with a wrong accent).

     - joined 5 redundant matrix files and added 2 new ones.

   I recommend to replace the entire collection, as some of the matrix numbers
   have changed to fill the gaps.

--------------------------------------------------------------------------------
2015/07/09  SubRip 1.55.0  (c) Bloody

 + Added /JOINMATRIX and /MATRIXINFO CLI commands. Together with /FINDMATRIX,
   these cmds can be used to maintain a matrix collection, i.e., clean out
   'double' matrix files.

 - FindMatrix: lowered the default MatchSet threshold from 45 to 40 glyphs and
   also allowing matches for "take with next" glyphs now, slightly raising the
   chance for inspected matrix files to be considered 'good' ones, i.e.,
   lowering the chance to create 'double' matrix files.

 - /FINDMATRIX CLI cmd: updated example script #1 to extract some of the more
   relevant output.

 - /SORTMATRIX CLI cmd: fixed a few occasions where GUI dialogs might have
   popped up when they shouldn't.

 + Added a bunch of character matrix files from my collection, for people who
   don't have many matrix files yet, or for those who might consider switching
   from a large matrix to multiple smaller ones.

   See also: ChMatrix/Readme.txt

--------------------------------------------------------------------------------
2015/06/22  SubRip 1.54.0  (c) Bloody

 - Fixed a bug which caused the Post-OCR punctuation filter to hang if a text
   line begins with a dot (.) character. Thanks to Sven Bent for pinpointing.

 + Post-OCR correction: added an option to strip redundant text style tags with
   a scope across text lines, like:

     from:
       <b><i>Text line 1...</i></b>
       <b><i>Text line 2...</i></b>
     to:
       <b><i>Text line 1...
       Text line 2...</i></b>

   This will create smaller output files which are also a bit easier to edit.

   Since there is no official .srt file format specification which explicitly
   forbids this, and because common media players have no problem with cross-
   line style scopes, this new option is enabled by default.

   Also added --ocrfix-strip-cross-line-styles option to the /AUTOTEXT CLI cmd.

 + /AUTOTEXT CLI cmd: added --wake-me-up option to enable/disable beeping /
   flashing after some idle time in the "Add new character" window.

 - /AUTOTEXT CLI cmd: option --warn-overlap now also includes warnings about
   negative timings.

 - /FINDMATRIX CLI cmd: fixed --search-order option to work again after being
   bugged since v1.52.0.

 - /FINDMATRIX CLI cmd output: printing "+-+" now instead of "-+-" if the number
   of 'hits' is > MatchSet/2. This helps locating 'double' matrix files.

 * 7-Zip is now used for the binary release archive as well.

--------------------------------------------------------------------------------
2015/02/02  SubRip 1.53.0  (c) Bloody

 + /AUTOTEXT CLI cmd: added --sortmatrix option to specify if and how to sort
   the matrix file before saving, if changed.

 + Added /SORTMATRIX CLI cmd for [batch-]sorting existing/imported matrix files.

 - CLI.txt: /FINDMATRIX: added --sortmatrix option to example script #2 and also
   fixed the script to correctly handle spaces within subtitle filenames.

 - "Open VOB" window: fixed a minor bug where the FindMatrix status wasn't
   properly cleared after unsuccessfully trying to run a FindMatrix search with
   no .vob/.sub file(s) selected.

 - "About" window: fixed a few layout issues. Used to look fine on WindowsXP as
   well as Wine but rather strange on Windows7 with certain settings/themes.
   Hopefully looking better now...

--------------------------------------------------------------------------------
2015/01/19  SubRip 1.52.0  (c) Bloody

 + "Open VOB" window: added FindMatrix support, as already avaliable in CLI mode
   via /FINDMATRIX cmd. Essentially, this allows to use multiple small Matrix
   files (one Matrix per font), as an alternative to a large all-in-one Matrix.

 + "Options" menu: added "FindMatrix Options" window.

 + "Global Options" window: added an option to automatically save the character
   matrix after saving a subtitle, saving another mouse click.

 + Added a few Help buttons here and there.

 - punct.dic: fixed an issue where spaces after an opening parenthesis or
   bracket weren't filtered anymore (since 1.50b7). Oops..

 - /FINDMATRIX: fixed a path problem for cases where <matrix-dir> was specified
   exactly as "..", where the result filename(s) were missing the leading
   Windows drive letter (although they did contain a fully resolved root path).

 - SortMatrix: fixed a minor bug where deleted characters were showing up in the
   listview again after sorting (although they were still marked as deleted and
   were therefor still excluded from saving).

 - "View/Edit Matrix" window: strongly raised the font size for the text edit
   widget, so one can actually recognize the typed character(s) a little better.

--------------------------------------------------------------------------------
2014/12/16  SubRip 1.51.1  (c) Bloody

 - "Save As": fixed a bug where the Unicode output settings weren't always
   recognized correctly, which could also cause the "AutoSave after Post-OCR"
   function to hang (and other side effects).

--------------------------------------------------------------------------------
2014/12/15  SubRip 1.51.0  (c) Bloody

 + Text output files are now saved in UTF-8 format by default, which can be
   configured in the "Global Options" window, under "Text Output Options".

   This was already the default for the /AUTOTEXT CLI command; now the GUI
   interface is doing the same.

 + "Subtitles" window: added support for loading UTF-8 encoded subtitles.
   The program will also no longer ask for a post-load conversion if the input
   file was encoded as UTF-16LE (or UTF-8 with BOM, for that matter).

 + "Global Options" window: added options to specify which output directory to
   use and how to proceed after saving (to save a couple of mouse clicks).

   Note that these options must be manually enabled because having them enabled
   by default might confuse some people.

 + "Fast LoadMatrix" is now the general standard for CLI and GUI mode. The point
   is that as long as you don't need to view/edit the matrix, building the glyph
   list can be avoided/postponed until the "View/Edit Matrix" window is opened.

 + "View/Edit Matrix" window: added support for Matrix Sorting, used to optimize
   a matrix for higher subtitle conversion speeds, especially if the matrix is
   very large. For example, converting a subtitle with a matrix of 15000 glyphs
   can get twice as fast on average after sorting.

   When conducting speed tests, see that the text auto-scrolldown checkbox in
   the Subtitles window is unchecked (generally faster if disabled).

   Note: matrix sorting is focusing primarily on Latin characters (7-bit ASCII).
   For other languages (like Arabic, Chinese, Russian etc.), the speed gain is
   either little, none or even negative, depending on things like if the matrix
   also contains many italic-style glyphs, multi-char glyphs etc.

 + "Add new character(s)" window: added a checkbox for tagging certain glyphs
   as temporary 'junk' chars. This helps when sometimes only a part/fragment of
   a character is recognized, where "extend-right" sometimes won't solve the
   problem. Marking a character as temporary 'junk' allows to proceed as usual
   with that 'thing' to complete the subtitle, while also keeping such chars
   from 'contaminating' the matrix file when it is eventually saved to disk.

 + "Add new character(s)" window: added a 'quick' Paste button to insert text
   from the clipboard, making things a little easier when running SubRip
   together with an external Unicode character utility (like e.g. BabelMap,
   gucharmap, KCharSelect etc.). A checkbox near the Paste button can be used to
   enable Auto-OK after paste, saving another mouse click.

   The Paste button will also filter the inserted text by removing all codes
   <=31 and 127 (stuff like Tabs, line breaks, Backspaces etc.) as well as any
   leading/trailing Spaces.

 + "Post-OCR Correction" window: added a checkbox to auto-open the Post-OCR
   window after subtitle conversion so it can't be forgotten, eliminating a
   nasty source of human error. Also saves another mouse click.

   Also added a checkbox to proceed directly to the "Save As.." dialog after
   Post-OCR Correction, saving another mouse click.

 + /FINDMATRIX CLI command: added --tiny-match-percent option for dealing with
   very short subtitles, e.g. from short 'bonus' clips or tiny 'Forced'
   subtitles. This means that your scripts can now be simplified as they won't
   need to check for exit code 2 anymore (only used by older (beta) versions).
   This new option now takes care of such cases.

 + CLI.txt: /FINDMATRIX: enhanced example script 2 and added a few more comments
   regarding huge matrix files.

 * Application version scheme changed to "SubRip-<Major>.<Minor>.<Revision>".

--------------------------------------------------------------------------------
2014/12/05  SubRip 1.50 beta 7  (c) Bloody

 - Fixed a bug where sometimes output files could not be saved (where the "save
   as" button did nothing in that case).

 - "View/Edit Matrix" window: fixed background colors for panels on the right
   side so they won't be influenced by certain Windows themes anymore.

 - "Save as Unicode": when using the GUI, the output filename in the file
   requester will now be pre-built in the same way as in the 'regular' requester
   ("Save as ANSI"). Avoids a bit of filename typing there.

 - Post-OCR I/l Correction: fixed a few more cases, like a lone I/l followed by
   a hyphen '-' or any I/l after a left parenthesis '(' or a left bracket '[' in
   certain cases.

 - punct.dic: added more fixes for the percent (%) character issue, for
   combinations of Slash/Degree chars where one of the two is marked as italic
   while the other is not, according to matching entries in the current
   character matrix.

 - CLI.txt: added a better usage example for finding 'double' matrix files using
   the /FINDMATRIX command, for people who prefer to go directly to the
   "Examples:" section without further reading about the available options.

 - "Wake me up": raised the timer interval from 10/10 to 15/20 seconds.

--------------------------------------------------------------------------------
2014/11/28  SubRip 1.50 beta 6  (c) Bloody

 * This version is based on v1.50b5 by Darkfrogger at:
     http://forum.doom9.org/showthread.php?t=160932

   ..which is based on v1.50b4 by the original author(s) at:
     http://zuggy.wz.cz/

 * Install/update: note that the Dict/ folder now contains subdirs for internal
   and user-side .dic files, simply to draw a distinction between those two.

 + Added /AUTOTEXT command for auto-conversion from .bup|.idx|.ifo|.sub|.vob to
   .srt|.ssa|.ttxt without user interaction other than adding new glyphs to the
   character matrix.

   For a quick usage example, see also: CLI.txt (under "Examples:").

 + Added /FINDMATRIX command for using/maintaining multiple matrix files.

   For more information, see also: CLI.txt (under "/FINDMATRIX").

 - Improved Post-OCR Correction speed.

 - Fixed several issues with the Post-OCR I/l Correction. Although i had to
   tighten a few of these filters to eliminate certain false positives, the
   overall results have mostly improved.

 - Post-OCR Punctuation Correction: fixed an issue with mistakenly removed
   spaces before a dot (.) character that actually belongs to a numeric
   expression, like "A.30 calibre gun" or "only.5 millimeters".

 - punct.dic: added fixes for the Percent (%) character issue. Just enter what
   you see (Degree|Slash|Degree) and the punctuation filter will do the rest.

 - Moved the orthography Post-OCR fix to the very end of the chain (this has
   nothing to do with "punct.dic" which is always executed during punctuation
   correction). The external (user-defined) dict filter should be the last
   resort if all other corrections didn't fix the problem. It also makes sense
   to apply fixes like "Format Whole Words Only" before applying the external
   dict, otherwise it might fail to recognize words that require fixing.

 - SubRip.ini: added missing item for Post-OCR: "Format Whole Words Only".

 - Fixed crashes caused by the Char Matrix Debugger and also disabled Post-OCR
   Correction if Char Matrix Debugging is enabled (makes no sense in that case).
   The output text file can still be saved in order to search for problems using
   a text editor.

 + Added all recent language files/updates posted on http://zuggy.wz.cz/ between
   2006/11/07 and 2014/03/10.

 * Changed the main window timer interval from 0.5 to 0.05 seconds. This reduces
   the start/end delay for CLI processing as well as the delay between switching
   VOB files.

 + /AUTOTEXT: added debug options for some Post-OCR Correction filters.

 - "New Character(s)" window: fixed a few layout issues.

 - About: fixed mailto: syntax for mouse clicks on email links to correctly add
   the subject & body strings.

 + Added a *nix Makefile and a Make-Release script for building & packaging
   SubRip on Linux under Wine.

 * Moved Doc/gpl.txt to License.txt which is now part of both binary and src
   distributions.

-----------------------------------------------------------
2011/04/25  SubRip 1.50 beta 5  (c) Darkfrogger

 + Added Character Matrix Debuging Option (check box before OCR to use)

-----------------------------------------------------------
2006/11/07  SubRip 1.50 beta 4  (c) zuggy

 ...bugfix release only
 - crash when editing a Character Matrix file
 * czech only: corrected translation

-----------------------------------------------------------
2006/06/01  SubRip 1.50 beta 3a  (c) LRN of TeMa=) team

 + experimental 3GPP Timed Text (*.ttxt) support (http://gpac.sourceforge.net/auth_text.php), without color support though.

-----------------------------------------------------------
2006/01/05  SubRip 1.50 beta  (c) ai4spam

 + Added whole words formatting.
 + Added support for text formatting in subtitle window.
 - Lots of other GUI changes.
 - Speedup in processing videos when the frames are empty.
 - Fixed the detached char problem

SubRip 1.50 Beta 3 and sources available. Moved to Delphi 2005 (but Delphi 7 is still supported). Added whole words formatting. Added support for text formatting in subtitle window. Lots of other GUI changes. Speedup in processing videos when the frames are empty. Experimental Spanish language correction. (Beta 1) Fixed the detached chars problem. Fixed UniCode support to preview CodePage changes. Other bugfixes. Some changes in the video GUI. (Beta 2). Fixed saving bug for split subtitles. Fixed video no longer working bug. Added a progress bar for loading char matrices. Updated ortography dictionaries to UniCode. (Beta 3).
Feedback and comments are welcome in the SubRip beta thread on the Doom9 forum, especially since new bugs may have been introduced. We also need help updating the languages to reflect the changes in the GUI.
I've also posted my char matrix. It works for some 90% of the DVDs I've seen. Be sure to set the OCR sensitivity high (1000) when using it. See additional instructions in my post on the Doom9 forum.

-----------------------------------------------------------
2005/10/26  SubRip 1.40 beta  (c) ai4spam

 + UniCode support in languages
 + large GUI overhaul

SubRip 1.40 Beta 3 and sources available. Large GUI overhaul and bugfixes. Implemented a way to fill a char matrix with entire UniCode subranges. Implemented opening bitmap sequences that DVDSupDecode outputs from converting DVB-T broadcasts saved as .sup by ProjectX. Made Modify and Delete work faster for characters in the Char Matrix (Beta 1). Fixed a few bugs and added an option to automatically fill the best guess. Updated with new Portuguese language by Vítor Vieira. (Beta 2). Added support for negative timestamps and using the file offsets from .idx files, and fixed a few bugs. (Beta 3).

-----------------------------------------------------------
2005/08/18  SubRip 1.30 beta  (c) ai4spam

 + UniCode support

SubRip 1.30 Beta 11 and sources available. Introduced UniCode support (Beta 1) and fixed a few bugs (Beta 2). Fixed AviSynth support (Beta 3). Fixed old character matrix import (Beta 4). Fixed "black on black" bug and added experimental support for delays in .idx files (Beta 5). Fixed always saving as UniCode bug and made a small change in the video GUI (Beta 6). Changed the GUI and the detection algorithm, introduced text fattening (Beta 7). Improved the detection algorithm; fixed a bug in the disjoint characters routine; fixed DVD Maestro saving bug (Beta 8). Fixed video not displaying, added UniCode font support, fixed many other bugs (Beta 9). Added a font button in the subtitle window and fixed a few bugs (Beta 10). Fixed some GUI bugs, updated with new French language file by Kurtnoise (Beta 11).
Bear in mind that only very few players support UniCode subtitles (vsFilter UniCode is the best choice). If the correct CodePage is selected in "General options", subtitles that use the Latin alphabet and its extensions can be safely saved as ANSI and viewed on current video players using the correct CharSet.

-----------------------------------------------------------
2005/05/28  SubRip 1.20 final  (c) ai4spam

 + support for extracting subtitles from video files (native AVI and others through AviSynth)
 + support for saving recognized subtitles as bitmaps (.pgm) for later subtitle removal
 + "extend left and right" for disjoint characters
 + "best guess so far" functionality for easier and faster typing
 + fill character matrix from a manually matched font
 - zuggy has solved the P4 crash problem.

-----------------------------------------------------------
2005/04/27  SubRip 1.20 beta  (c) ai4spam

 + AVI file support
 + fill char matrix from matched font

ai4spam added support for ripping subs out of avi files that contain them hardsubbed - version 1.20 beta (Menu - File - Open Hard Subbed Video Files).

-----------------------------------------------------------
2003/06/29  SubRip 1.17.1  (c) T.V. Zuggy, mrSHADOW & Yakov

 + What to do, Subtitles window: drag & drop file accepted
 + SSA export: font character set support {coded by Adrian 'mrSHADOW'
   Stachowiak [mrshadow|at|howto.pl]}
 - mistake space added under some circumstances {coded by yacov 'Yakov' azulay
   [y_azulay|at|012.net.il]}
 * etceteras {3x Alex Volok, ArtComp, Mike Quinn [mike|at|quinn.to], ...}

 * "Greek.dic" updated by HackerWerger [HackerWerger|at|hotmail.com]
 * NEW "Russian.lng" by BRATiK [bratok_|at|mail.ru] (1.17)
 * "Polski.lng" updated by ArtComp [artcomp|at|n.pl] (1.17)
 * "Slovak.lng" updated by Berry (1.17)
 * "Dansk.lng" updated & strongly corrected by Traemanden
   [trae_mand|at|hotmail.com] (0.96b - 1.17)

---------------------------------------------------
2003/04/29  SubRip 1.17 MAINTENANCE  (c) T.V. Zuggy

 + Mac DVD Studio Pro export {Gyver aka Mac Man [imac_gyver|at|hotmail.com]}
   [not tested!]
 + FAB Subtitler export {Léon Kohlen [leon|at|iframe.nl]}  [not tested!]
 + SubViewer 2 import {Brice Terzaghi [terzag|at|free.fr]}
 + Character Map (copy & paste from Pawel's DVD Subripper)
   {Julien Bidault [jb21|at|ukc.ac.uk]}
 + Only Show SubPictures: Save As Bmp/Sup generates chosen subtitle script
   additionally {Whiskas [pacijentX|at|seznam.cz]}
 - multi-textcolor subtitles (L'auberge espagnole / Euro Pudding / Una casa de
   locos (2002)) & more accurate textcolor detection {Julien Bidault}
 - manual font color selection is back but in another form {...}
 * etceteras {21x Alex Volok, kxy @ D9F, Bazsa, Jase [ivorydrops|at|yahoo.com]}
 * developer note: Delphi 7, JVCL 2.10 CVS

 * NEW "Greek.dic" by Kostas "dalai" Dalamagidis [dalai|at|freemail.gr]
 * "Spanish (Castellano).lng" updated by Manuel Periago (1.17)
 * "Hungarian.lng" updated by Bazsa (1.16 + 1.17)
 * "Slovenian.lng" updated by Tugo (1.17)
 * "Italiano.lng" updated by Dark Avenger (1.17)
 * "Bulgarian.lng" updated by Ventsislav Glaskov (1.17)
 * "Francais.lng" updated by Kurtnoise (1.17)
 * "Portuguese.lng" updated by _4L_Do_Amor (1.17)
 * "Francais.lng" - 2 items corrected by Fron Jean-Baptiste [djibe87|at|skynet.be]
 * "Slovak.lng" updated by Berry [berry|at|pobox.sk] (1.16)
 * "Portuguese (Brazilian)" updated by Márcio Vasconcellos
   [marcinhovp|at|hotmail.com]; 1.035

---------------------------------------
2003/02/25  SubRip 1.16  (c) T.V. Zuggy

 + optional bitmap compression for graphical outputs (saves much HDD space by
   the same processing speed, works in Scenarist; but in DVDMaestro only 8bit)
 + basic UpperCase to LowerCase conversion (Closed Captions) {kxy @ D9F}
 - 5 important semiOCR fixes {suggested with samples by Alex Volok}
 - DVDMaestro + Scenarist output fixes {guru1968 @ D9F; FilipeAmadeuO @ D9F}
 * prepared for Image Sequence recognition {Peter other1010}
 * CLI v1.1, new About... and some etceteras
 * developer note: Delphi 6 RTL Update Pack 2

 * "Italiano.lng" updated by Dark Avenger (author of AutoDub and more)
   [DarkAvenger|at|divxmania.it] (to 1.15 + 1.16)
 * "Portuguese.lng" updated by _4L_Do_Amor (1.16)
 * "Spanish (Castellano).lng" updated by Manuel Periago (1.16)
 * "Bulgarian.lng" updated by Ventsislav Glaskov (1.16)
 * "Francais.lng" updated by Kurtnoise (1.16)
 * "Slovenian.lng" updated by Tugo (1.16)

---------------------------------------
2003/01/29  SubRip 1.15  (c) T.V. Zuggy

 + (finally) original DVD color palette support (VTS_PGC_1 only ATM)
 + 2-textcolor subtitles in 1 SubPicture support {[maven]}
 + *.SRT: (optional) color tags for Ogg Vorbis DS Subtitle mixer
 + command-line support for graphical outputs (see CLI.txt)
 + automatic text color detection & text color change detection
 + semiOCR: a bit better highlighting of fill-this-characters
 + faster subtitle images building
 * changed *.SRT Extended coordinates to cover only subtitle text area
 * etceteras and fixes {Bazsa; Buddy @ D9F; V. Glaskov; Sven Bent @ D9F;
   PJC @ D9F; A. Volok; Gambit; Vicol Patrick [vpatrickd|at|yahoo.com];
   kxy @ D9F; Peter De Maeyer [peter.demaeyer|at|skynet.be]; Tugo}
 * tested DVDMaestro output in DVDMaestro 2.9

 * "Bulgarian.lng" updated by Ventsislav Glaskov (1.14+1.15)
 * "Spanish (Castellano).lng" updated by Manuel Periago (1.14+1.15)
 * "Francais.lng" updated by Kurtnoise [kurtnoise|at|hotmail.com] (1.14+1.15)
 * "Slovenian.lng" updated by Tugo (1.14+1.15)
 * "Hungarian.lng" updated by Bazsa [nb000|at|freemail.hu] (to 1.14 + 1.15)
 * "Portuguese.lng" updated by _4L_Do_Amor (1.14+1.15)
 * "Spanish (Galego).lng" updated by Xosé A.V. Rodríguez (1.13.1)

---------------------------------------
2002/12/14  SubRip 1.14  (c) T.V. Zuggy

 - (finally) fixed the IFO language assigning to correct VOB stream,
   VTS_PGC_1 only ATM  {thanks to great IfoEdit GUI and Gambit}
 + Post OCR Correction: Remove unwanted spaces between numbers
   {Peter [other1010|at|hotmail.com]}
 + Post OCR Correction: user selectable orthography dictionary (.dic file)
 * allowed max. SubPicture height 576/480 again {King [elrey|at|stea.com]}

 * "Slovenian.lng" updated by Tugo
 * "Spanish (Castellano).lng" updated by Manuel Periago
 * "Portuguese.lng" updated by _4L_Do_Amor
 * NEW "Spanish (Galego).lng" by Xosé Antón Vicente Rodríguez
   [antonvicente|at|navegalia.com] (based on Castellano v1.13.1)
 * "Bulgarian.lng" updated by Ventsislav Glaskov

-----------------------------------------
2002/12/01  SubRip 1.13.1  (c) T.V. Zuggy

 +/- many little enhancements & bugfixes

 * "Castellano.lng" updated by Manuel Periago
 * "Slovenian.lng" updated by Tugo
 * "Czech.lng" revised
 * "Croatian 1.lng" updated by Mr. Josip Martincevic
 * NEW "Bulgarian.lng" by Ventsislav Glaskov [vbgl|at|abv.bg]
 * NEW "Portuguese.lng" by _4L_Do_Amor [brutuskicksass|at|yahoo.com]
 * NEW "Catalan.lng" by Jesús Moreno Molas [jmmolas1|at|wanadoo.es]

--------------------------------
2002/11/11  SubRip 1.13  (c) MJQ

 + 6 new input/output formats!
   (MacSUB, Phoenix Japanimation, PowerDivX, Turbo Titler, ViPlay, ZeroG)
 + improved output format selection ("Output Format" window)
 * "Polski.lng" updated by MJQ

---------------------------------------
2002/11/11  SubRip 1.12  (c) T.V. Zuggy

 + option to build "VOB's subtitle map" (Global Options) for faster
   processing of next subtitle streams - see Documentation for more info
 * minor enhancements & bugfixes
   + Time correction: Set minimal subtitle duration to 1 frame + repair
     overlapping (for authoring tools)  {Eyes`Only}
   + improved autoselection of VOBs
   + changed estimate of remaining time
   + count of founded subtitle streams is shown during verification
 * "Castellano.lng" updated by Manuel Periago
 * "Slovenian.lng" updated by Tugo

--------------------------------
2002/11/01  SubRip 1.11  (c) MJQ
[November the 1st. Yes... There must be 1.11 release.]

 + possibility to split txt-based subtitle files according to AVI movie
   duration (2 parts allowed atm)
 + possibility to check if newer SubRip release is available
 * Post OCR Correction
   + I/l checkup: new Polish specifics
   + "Post OCR Correction" settings are stored now
   - improved punctuation correction
 * few minor bugfixes
   - wrong timecode while reading txt-based subtitles
     {reported by ToraTora [Doom9's Forum]}
   - no more error when reading MicroDVD {nr}{} subtitles
   - subtitle splitting: missing first subtitle in next parts if subtitle
     overlap the previous part  {you are always true, Alex Volok}

 * "Francais.lng" updated by Kurtnoise [kurtnoise|at|free.fr]
 * "Polski OD1.lng" outdated - removed (thanks for your work, Dariusz)
 * "Polski.lng" updated by MJQ
 * "Slovenian.lng" updated by Tugo

--------------------------------
2002/10/24  SubRip 1.10  (c) MJQ

 + improved punctuation correction (Post OCR Correction)
 + new optional "Capital Letters" detection (Post OCR Correction)
 - some bugfixes in reading of MicroDVD, TMPlayer, Mpl, Mpl2 and Dks files
 * "Castellano.lng" updated by Manuel Periago
 * "Polski.lng" updated by MJQ

----------------------------------------
2002/10/23  SubRip 1.091  (c) T.V. Zuggy

 * minor enhancements & bugfixes
   + SubViewer 2 output: option to preserve font style tags
     {requested by [maven] [d.b.vollmer|at|reading.ac.uk]}
   - changed frame timecode estimate (should avoid zer0 subtitle duration?)
   - 2 bugs reported from Alexander Volok [alexv777|at|tut.by]
     - incorrectly shown total DVD size (I was blind...)
     - "What to do?" window: pressing "x" button leads to access violation
   - changed PAL Scenarist header according to FilipeAmadeuO [Doom9's Forum]
   - ". . ." to "..." post-OCR correction {Sven Bent [Doom9's Forum]}
 * "Castellano.lng" updated by Manuel Periago [manper|at|ono.com]

---------------------------------------
2002/10/20  SubRip 1.09  (c) T.V. Zuggy

 + Spruce subtitle file (*.stl) output
   {requested by Fernando Martinez [freyesm2|at|bol.com.br]}
 + Pinnacle Impression DVD PRO (*.txt) output  [not tested!]
   {requested by Christophe thieme [christophe.thieme|at|imt-sa.com]}
 * some minor enhancements & bugfixes

------------------------
2002/10/17  SubRip 1.081

 - quick fix: high slowdown of VOB processing and subtitle image flickering
   on some systems (present since v1.07)
 * few other minor enhancements & bugfixes

--------------------------------------------
2002/10/14  SubRip 1.08  (c) MJQ & *UNKNOWN*

 + can read TMPlayer, Mpl, Mpl2 and Dks files
 * minor enhancements & bugfixes
   + "View/Edit Character Matrix": more sorting options
   - some corrections in French & Italian I/l checkup
   - VobSub: error message if .sub file is smaller than 200 kB
 * "Polski.lng" updated by MJQ
 * "Slovak.lng" updated by Gambit

---------------------------------------------------
2002/09/30  SubRip 1.07  (c) T.V. Zuggy & *UNKNOWN*

 + semiOCR outputs: new space detection algorithm
 * minor enhancements & bugfixes
   + "minimal subtitle duration" option (Global Options)
   + I/l checkup: improved; new Italian & improved French specifics
   + Menu VOB (vts_XX_0.vob) no longer autoselected
   - subtitle out of screen for PAL DVDs fixed
   - SST output: corrected values of Pixel_Area, Display_Area & Max. Height
   - files greater than 4 GB correctly handled
 * this version is based on bug/suggestion/investigation reports from:
   caprioles9000, DBaT, Eyes`Only, H-O-V-E-R, kxy, oddyseus, Taz69 [all Doom9's Forum]

--------------------------------
2002/09/03  SubRip 1.06  (c) MJQ
[includes 1.033 MJQ v01-v03 Adds]

 + 5 new output formats (TMPlayer, Mpl, Mpl2, Dks, DVDSubtitle; incl. mods)
 + optional punctuation correction (Post OCR Correction)
 + optional orthography correction (Post OCR Correction, only Polish ATM)
 + can read MicroDVD files

 - removed eventual style info from textual formats that don't support it
 - Split Output File: subtitle index (when used) for each cut part set
   to 1 at the beginning now  {reported by resuax [Doom9's Forum]}
 - I/l checkup: Scandinavian letters accepted
   {reported by Sven Bent [svenbent|at|Techcenter.tzo.com]}

 * "Slovenian.lng" updated by Tugo [tomaz_zaletel|at|hotmail.com]
 * "Polski.lng" updated by MJQ
 * corrected name of lang file, "Brazilian.lng" --> "Portuguese (Brazilian).lng"
   (reported by Tchernobyl [Tchernobyl|at|mail.pt])

----------------------------------------
2002/08/25  SubRip 1.035  (c) T.V. Zuggy

 + NTSC properly accepted in BMP outputs

 * minor enhancements & bugfixes
   + PAL/NTSC detection (when possible)
   + font character set could be changed (Global Options)
   + Zoom improved
   + "What to do?" window realigned
   + changed "Open IFO/Dir" behavior, no "Ignore IFO..." required
   + info about Closed Captions appearance
   + output format could be changed from "What to do?" window too
   - Scenarist, DVDMaestro: little correction of start timecode
   - Scenarist, DVDMaestro: minor Drop Frame fix (read info in Doc.txt)
   - error msg. when processing next DVD or closing SubRip (in some cases)
   * Scenarist tabsheets in "Bitmap adjustment" made free and
     at least each output format have its own Bitmap "Preset"
   etc.
 * "Slovak.lng" updated by Gambit
 * completely NEW "Polski.lng" by MJQ [subrip|at|divx.pl]

----------------------------------------
2002/08/17  SubRip 1.033  (c) T.V. Zuggy

 * minor enhancements & bugfixes
   + optional VOBs scanning for available subtitle streams (Verify button)
   + optional right-to-left line processing for correspondent languages
     (Global Options)  {requested by Eddi Maevski [smaevski|at|bezeqint.net]}
   - Scenarist: NTSC movie coordinates  {Doom9's Forum reports}
   - Scenarist, DVDMaestro output: corrected Directory header info
     {reported by Eyes`Work [Doom9's Forum]}
   - BMP outputs: in some cases ugly short line at bottom left of subpicture
   - last viewed character specifics stayed visible after erasing current
     Char-Matrix ("View/Edit Character Matrix" window)
   etc.
 * "Italiano.lng" updated 2 times by Whitecables
 * new Doc section - Output formats notes

---------------------------------------
2002/08/08  SubRip 1.03  (c) T.V. Zuggy
=In memory of my old mate Eduard Takac=

 + Sonic Scenarist output (.sst)
 + option to process only forced subtitles (Global Options)
   {requested by Harry Minduton [minduton|at|centrum.cz]}

 - support for VOBs greater than 2 GB  {reported by Taz69 [Doom9's Forum]}

 * minor enhancements & bugfixes
   + "Output Format" window a bit better arranged
   + option to deactivate Wake-Me-Up function while typing new characters
     (Global Options)  {requested by 31 Flavas [Doom9's Forum]}
   + "Even values only" added to Bitmap adjustment's Positioning window,
     needful for DVDMaestro  {reported by Taz69 [Doom9's Forum]}
   + DVDMaestro: added Drop Frame option
     {reported by tobai [Doom9's Forum] & Marc [scoob69|at|videotron.ca]}
   + remaining and elapsed time's info updated approximately each percent
     of total VOB(Sub)s size now
   - DVDMaestro: frame timecode value assigned in dependence on PAL/NTSC system
   - VobSub: correct .idx chosen when more VobSubs in one directory
   - error after exchanging positions (down) in not focused VOB list
   - error when changing main window background from "Image" to another
   * two FAQ newcomers
   etc.
 * "Simplified Chinese.lng" updated & corrected by Willie [wshenk|at|online.sh.cn]
 * partial XP theme support
 * built using updated Delphi 6 PE (Update Pack 2 & RTL Update 1)

------------------------
2002/07/14  SubRip 1.021

 - quick fix: Spruce DVDMaestro .sdf palette

------------------------------------------------------------------------------
2002/07/13  SubRip 1.02  (c) PRI from DVDGuru.org (70 %)  &  T.V. Zuggy (30 %)

 + Spruce DVDMaestro output (.son fileformat and .sdf palette)
 + improved the I <-> l post-OCR correction procedure to be more safe and
   not influed by style tags  {reported by Bryan Kiilerich, Denmark}
 + better multi-color subtitles support, that means the option to change color
   when processing skipped subtitle item  {requested by Tiki [tiki|at|gmx.co.uk]}

 - italic/bold styles in SSA Output  {reported by Fasola_Jan, Poland}

 * minor enhancements & bugfixes
   + space recognition improved in terms of diacritic characters
   + some documentation updates (mainly Font Styles, Contact & FAQ sections)
   + option to autoselect all VOBs after opening an IFO/VOB
     ("What to do?" dialog)  {requested by Gambit}
   + Sonic Output settings used apart and stored separatelly
   + "Bitmap adjustment" window, "Colors" sheet:
     + Preset is autoselected when corresponding output format set
     + Colors are set in dependence on Preset
   + "Output Format" window now shown if some of BMP formats set when doing OCR
   + overwrite prompt when saving single BMP/SUP file
   + Czech specifics added to I <-> l procedure
   + quotation marks correction procedure "optimized"
   - IAuthor Output selecting no longer sets SubRip Format to Extended
   - "Subtitles" window now restored after "Cancel" in "What to do?" dialog
   etc.
 * "Slovak.lng" corrected & updated  {thanks Gambit [hype|at|host.sk]}
 * "Greek.lng" updated and with many fixes  {thanks [robot|at|mail.gr]}

---------------------------------------
2002/06/30  SubRip 1.01  (c) T.V. Zuggy

 + new experimental space recognition algorithm
   (may work worse on non-latin subtitles)
 + "Remember last typed style" checkbox in "New Chartacter(s)" dialog
 + little speed up of subpicture cropping routine (~10 % on my PC)

 - opening files depending on Windows version should be fixed
 - badly inserted timecodes when blank subtitle item occur
   (VobSub related)  {thanks kxy [Doom9's Forum] for report and investigation}
 - badly inserted timecodes after "Skip This Line/SubPicture" buttons click

 * minor enhancements & bugfixes
   + less flicker when selecting/changing text color
   + Lang files size reduced a little
   + info about *safely* skipped subtitles ("Subtitles" window)
   + 1st character autoselected after loading *.sum file ("View/Edit CharMatrix" dialog)
   + extension info added to Save BMP/SUP dialogs
   - "Open VOB(s)" CoolButton disabled when subtitle process active
   - "Subtitles" window was not restored after "Skip this Picture" click
     ("Font color selection" dialog)
   - "Subtitles" window isn't shown if "Save SubPictures As BMP/SUP" selected
     -- when not required ("What to do?" dialog)
   - Lang files: spaces at beginning/end of line in [Messages] section were ignored
     (now stripped and inserted internally)
   - VobSub related:
     - freeze when selected stream timecodes ain't in IDX file
     - sub file not found after opening Char Matrix file
       or when "Save SubPictures As BMP/SUP" selected ("What to do?" dialog)
   etc.
 * "Croatian 1.lng" updated  {thanks Josip Martinèeviæ, josip.martincevic|at|os.tel.hr}
 * to translators - very usefull "Translator" by Jernej Simoncic
   http://www2.arnes.si/~sopjsimo/translator.html
 * "Last Timecode" in "What to do?" dialog not used (not needid)
   when processing VobSub files
 * VobSub IDX timecodes not used on renamed *.sub file (e.g. to *.vob)

----------------------------------------------------------------
2002/06/06  SubRip 1.00b  (c) guimli (98 %)  &  T.V. Zuggy (2 %)
[once must this build number come, doesn't mean final or anything else]

 + added Sub Station Alpha v4.00 Script Format output
 + "Show all 32 streams" auto selected if "Open Dir" button clicked

 - crash when "Open Dir" and after "Start" clicked
   while "Show all 32 streams" unchecked

 * minor updates (lang & ini files)
 * developer notes
   * changed unit's filenames
   * all DFM files are now in text format, leave it, please

----------------------------------------
2002/06/05  SubRip 0.99b  (c) T.V. Zuggy
[never released because of hyperlinx ftp failure and incoming guimli version]

 + can optionally store italic, bold & underline style
   (SubRip - for Ogg Vorbis DS Subtitle mixer; MicroDVD as Control Code)
 + support for chars wider than 45 pixels (up to 80)
   (needful e.g. for Striking Distance R2 [eng])
 + updated format of Char Matrix File to comply above-mentioned changes
   (+ smaller size, read compatible with previous format)

 - workaround for VobSub files: timecode is used from index file to avoid desynch
   (tested with VobSub index file v4 - v7)  {thanks kxy [Doom9's Forum] for report}

 * about 15 other very minor additions/corrections
   - 1st subtitle skipped, when "Pause / Abort" button on 1st subtitle clicked
     (only for 1stream VobSub Files)
   + subpicture item is stretched proportionally in
     "Processing skipped subtitle item" window
   - char matrix paths in INI file cleared when "Save Character Matrix File" used
   + SubRip output format set after changing from IAuthor or Philips formats
   + subtitle output format not changed after "Only Show SubPictures" option
   + in "View/Edit Char Matrix" window is sum of chars labeled
   + better alligment of List of Characters in "View/Edit Char Matrix" window
   - last letter of Character matrix file comment was not saved
   + no more save questions when Character Matrix has 0 chars
   - styles was not applied on 1st char after searching for Char Matrix file
   + installer script improvements
   + French "Entier..." hint on numeric editboxes made *international*
   + some by previous versions forgotten strings added to language files
   + hot links in About window improvements
   + minor GUI placement & strings changes
   + Czech lang file updated etc. etc.

----------------------------------------
2002/05/19  SubRip 0.98b  (c) T.V. Zuggy

 + no more spontaneous skipped subtitles when doing OCR (SubTitle Index < Total Pict.)
   - added dialog for manual filling of these subtitles.
   This happened in case of bad configured Advanced OCR Setup or
   when is none space between subtitle lines -
   often by subtitles containing diacritical characters.
 + SubRip can process VobSub subtitles (good for translating of dwld. subs),
   because these are only ripped subtitle streams out of VOB.
   Just added some stuff to better manage it.
 + MicroDVD format output (+ optional DivXG400 framerate info), FPS must be adjusted!
 + program priority can be set

 - not right working Pause button in some cases/subtitles (took me 2 hours)

 * about 10 other very minor additions/corrections
   + language stream two-char-codes translating refilled from vStrip sources
   + option to show only detected lang sub streams
   + Menu - GUI Languages sorted
   + lang filename can contain any character, that is valid for filename
   - default charset set to Subtitles text window & all others
   + hot links added to About window
   - some buttons extended to contain whole button image
   + minor GUI placement & strings changes
   * outdated file info stripped
   + Czech lang file updated etc. etc.
 * further development in Delphi 6 PE
   (for developers: download D6 version of CoolForm at http://www.lawrenz.com/coolform/)
 * all language files updated with new english strings
 * UPX packed, if you don't like it, decompress it using "UPX -d SubRip.exe" command
 * NSIS installer used

---------------------
2002/04/28  (c) Brain

 * SubRip 0.97b sources released! Since I stopped to update SubRip (at least
   for this moment) and received several ask for Linux support, I've finally
   released the SubRip source under GPL licence. SubRip is coded with Delphi 5
   so I think it should not take too long to port it into Linux with Kylix.
   Programmers: Please, let me know what do you think about SubRip code. I
   know that some parts are maybe not optimised or "clean" but you can be
   indulgent with a self made programmer like me ;)

 * NEW "Croatian 1.lng" by Josip Martinèeviæ
 * NEW "Croatian 2.lng" by KruPet
 * NEW "Turkish.lng" by Kadir Leblebici
 * "Norsk.lng" corrected and updated by SkevoBlaster
   [SkevoBlaster|at|Hotmail.com] (0.97b)
 * "Slovenian.lng" updated by Tugo

-----------------------------------
2001/09/08  SubRip 0.97b  (c) Brain

 + added an option to correct the "time restart from 0 problem" on certain
   DVDs (after about 1 hour), please let me know if this work
 + speeded up the redraw of the list in the Character Matrix Editor
 + added a "Stay on top" option to the Character Matrix Editor Window
 - corrected a bug that prevented to edit or view the characters greater than
   nr. 1000 in the Character Matrix Editor

 * corrected "Portuguese (Brazilian).lng" by Samuel David
 * NEW "Italiano OD3.lng" by Manetta®

---------------------
2001/06/20  (c) Brain

 * Translation: I received those three Italian files in a very short period of
   time and I have no free time this days. But that's not a problem, everyone
   will be able to choose the one he prefer :). Thanks to the translators and
   sorry for not publishing those files sooner.
 * NEW "Italiano.lng" by Whitecables [cavobianchi|at|tiscali.it]
 * NEW "Italiano OD1.lng" by Alessandro
 * NEW "Italiano OD2.lng" by Oblio [demonedemone|at|hotmail.com]
 * NEW "Norsk.lng" (Norwegian) by <<Poi|@des>> HybelBurn2001 (0.95b)

------------------------
21/04/2001  SubRip 0.96b

 - New features :
  - Matrix AutoDetection that will avoid you to reenter characters again and again :
    It's now possible to AutoDetect if one of your existing Characters Matrix files
    match to the current DVD, just place all your *.sum file in subfolder "ChMatrix".
  - Optimized process : 5 to 10% faster on a normal VOB (limited by the HDD speed),
    but near 50% faster on a Sub & Nav packet only VOB.
  - Cleaned and reorganized part of the code, please alert me if introduced new bugs ;)
  - Character Matrix now consume about 8 time less RAM and can grow up to 65535 char,
    but keep in mind that more char there is and slower the OCR is. It's better to have
    a file for each font.

 - Corrections  :
  - Better handle of italic space width ( Should avoid some unwanted space ).
  - Some text in SubRip were in "Ansi_Charset" and gave problems displaying some
    characteres with language files, they are now in "Default_Charset" and should
    no more be a problem.

 - Translation :
  - There is more and more language files, thanks to all translators :
    - Slovenian by Tugo.
    - Danish by Allan.
    - Updated Greek by DREAM-ON

------------------------
25/03/2001  SubRip 0.95b

 - Corrections  :
  - Removed a bug introduced in v0.94b that produced completely gray sub in I-Author format.

 - New features :
  - Added a "Transparent background" option in the subpicture Preview settings.
  - It's now possible to ignore all bad packet header (Just click yes to all)
  - Maximum number of characters in matrix enlarged from 1024 to 4096.

 - Translation :
  - New language file : Czech by Embreonyx.

------------------------
11/03/2001  SubRip 0.94b

 - New features :

  - Sizing/positioning & color remapping for bitmap output are now
    fully visual (WYSIWYG).
  - It's now possible to set a background in SubRip picture preview area, so you
    can exactly place the subtitles depending on the aspect ratio of your movie.
  - You can now zoom in/out the SubRip pictures preview area, so you can view
    all even on low screen resolution.
  - It's now possible to change the order of VOB files in the selection list.
  - There are now Time elapsed & Time remaining fields, progression bar is now
    based on all selected VOBs
  - It's now possible to set a minimum interval between two sub in IAuthor format
    ( Should avoid some subtitles disappear problems )
  - There is now a German correction for I & l OCR errors. (Thanks to Haemmi)

 - Corrections  :
  - Removed a Bug that corrupt characters Matrix when a line contain no suitable
    character (eg: a thin line). Thanks to Bunny and [maven] for pointing
    me to this bug.
  - Removed some potential bugs / problems.

 - Translation :
  - To SubRip translators: All 0.94b modification of lng file are indicated in
    English and French files.
  - NEW Spanish "Castellano.lng" (for 0.93b) by Ubanov
  - NEW "Polski OD1.lng" (for 0.93b) by Dariusz
  - updated "Portuguese (Brazilian).lng" (0.93b) by Antonio

------------------------
04/02/2001  SubRip 0.93b

 - New features :
  - Philips SVCD Designer v 1.5 & 2 output format support.
  - You can now choose between 8 or 4 bits BMP ( Philips 1.5 only support 8bits )
  - Link to SubRip web site change : http://www.subrip.fr.st please update
    your link, the old URL will soon be unavailable !

 - PS :  If you successfully create an SVCD with Philips SVCD Designer,
  please send me the result of your tests. ( Comparison with I-Author... )
   Philips tools seem to be really professional but need some time to apprehend.

------------------------
31/01/2001  SubRip 0.92b

  - Corrected a bug introduced in SubRip 0.9b that could crash SubRip
    on subpicture that have an odd width ( Only in save as bmp or view
    pictures mode) .
          Thanks to The Nicow for signaling me this bug and helping me to fix it.
    (He had the very good idea to send me a demuxed part of his vob with
    only subpictures packets)

------------------------
02/01/2001  SubRip 0.91b

  - Removed te unwanted "0" at the end of primary colors lines in
    IAuthor output files.
  - Slightly improved the refresh speed of the subtitles text window.
  - New language : Greek translated by DREAM-ON, a big thank to him.
  - Normally Spanich translation is in work by Ubanov himself !

-----------------------
16/10/2000  SubRip 0.9b

 - New features :
  - IAuthor output format to create SVCD with subtitles: almost all
    is automatic (Colors usage & auto sort, BMP resizing & positioning,
    Colors & Transparency for the SVCD subtitles).
  - Colors and palete setting for BMP output.
  - Split output text file (for multiCDs)
  - multilingual files for the GUI: French & English for the moment,
    please send me your translation in others languages.
    (Thanks to Pawel for his SubRipper's multilingual sources)
  - New "extended" SubRip output format with pictures position.
  - BMP Size & color options are saved.
  - GUI fonts set to standards ones for better compatibility.

------------------------
27/08/2000  SubRip 0.81b

  - New feature : When ripping BMP you can now adjust the output size
     and position of the text image. But for the moment the values in
     the text file (Optional) are still the originals Picture's size &
           position. This feature will certainly help the I-Author users.

  - Ubanov made an utility that convert SubRip files and BMPs to be used
    with I-Author. Thanks Ubanov :)
   * You can find his doc here : http://mail.softec.es/ivan/subripfq.txt
   * And the utility here      : http://mail.softec.es/ivan/subripfq.zip

-----------------------
13/08/2000  SubRip 0.8b

  - Corrected: some subtitle missed by OCR ( Not a bug, just reduced
     the "Min. Inter Line" default value in the OCR setup 6 -> 2 )
  - New feature : When ripping BMP or SUP you can now get the timing
     and picture size & position at the same time.
  - New feature : reading of an IFO file to view which subtitle
     languages are available. Thanks to Pawel for his sources.
  - Added SubViewer 2.x export format.
  - There is now two different space width detection: one for normal
    characters and one for italic characters.(Better support of italic)
  - Paths and options are now saved to an INI file.
  - Maximum number of characters in matrix enlarged from 512 to 1024.
  - Improvement of the decoding of SubPictures DCSQT ( Commands
     sequences ) Thanks to Bogdan for his help.
  - Small text documentation to help using SubRip.
  - Some new funny buttons :)
  - New web host, verify your link : www.submagic.com.bi

-----------------------
19/03/2000  SubRip 0.7b

  - Get TIME-CODE and exact subtile duration !!!
  - Time correction features : Offset, time strech and duration.
  - Added SubViewer and SubMagic export format.
  - Big "i" and small "L" post OCR correction procedure improved
    and now language dependant (English and French)
  - Added an autodetection of color font feature. So in most case
    you just have to click OK in the color selection window.
  - Added a bell after 10s waiting for you to enter a new character
    ( in case your are away ).
  - It's now possible to save a SubPicture when viewing them.
  - Corrected : some forgotten subpictures on some DVD (5th Element R2).
  - Corrected : ignore two subpictures after a click on "Skip Pict"
    in the color windows with an empty picture.
  - Corrected a small bug when trying to edit an empty Char.Matrix.
  - Corrected a bug in file naming when extracting as BMP or SUP :
    in case of multiple VOBs selection, files were overwritten at
    each new Vob (Counter restart to 0: Same file names).

----------------------------------
2000/03/03  SubRip 0.5b  (c) Brain

 * first public release

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

TO DO:

 - New Characters - Extend selection
 - fps conversion
 - DVD text color support for SSA, MicroDVD
 - add input/output file formats - SAMI, JACOSub, SST (input), FAB
 - improve timing for interactive DVDs (e.g. Matrix R2, Abyss R1),
   that use seamless branching or other stuff like that
 + load chapters from IFO file (maybe needed for interactive DVDs)
 = processing according to PGC, VOB/Cell IDs

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

       _________________________________________________________
      /                     \
     /           submagic|at|netcourrier.com               \
    /_____________________________________________________________\
   (_                         _)
    _) ()     BRAIN           () (_
   (_______________________________________________________________)
    \                       /
     \           http://www.subrip.fr.st             /
      \_________________________________________________________/

